<?xml version="1.0" encoding="UTF-8"?>
<chapter version="5.0" xml:id="deployment-plan-intro" xml:lang="en"
         xmlns="http://docbook.org/ns/docbook"
         xmlns:xlink="http://www.w3.org/1999/xlink"
         xmlns:xi="http://www.w3.org/2001/XInclude"
         xmlns:svg="http://www.w3.org/2000/svg"
         xmlns:mml="http://www.w3.org/1998/Math/MathML"
         xmlns:html="http://www.w3.org/1999/xhtml"
         xmlns:db="http://docbook.org/ns/docbook">
  <title>Deployment plans - Introduction</title>
  
  <para>A deployment plan is an XML file that describes a succession of resources to be deployed in the given order. 
  The deployment plan only contains references to the deployable resources like for example, Java EE archives or an OSGi bundles. 
  In order to deploy the resources on a server, the deployment plan has to be deployed on that server. 
  The server will retrieve each resource from a repository before deploying it. 
  The resources in a deployment plan may be stored in one or more repositories.</para>

  <para>To deploy a deployment plan, one has to set up the repositories on the target
  server. The deployment plans will then be able to refer to these
  repositories.</para>

  <para>The deployment plan functionnality supports currently three kinds of
  resources (both local or remote):</para>

  <orderedlist>
    <listitem>
      <para>URL resources which point to valid URL locations.</para>
    </listitem>

    <listitem>
      <para>Maven 2 resources which enable to deploy versioned
      resources.</para>
    </listitem>

    <listitem>
      <para>OBR (OSGi Bundles Repository) resources which allow to benefit of
      the OBR resolver to deploy a requested OSGi bundle and its
      dependencies.</para>

      <note>
        <para>The OBR deployment feature is currently partially supported as
        it only deploys specified OSGi bundle resources without their
        dependencies. The complete feature implementation is on-going.</para>
      </note>
    </listitem>
  </orderedlist>
</chapter>
